import express from 'express'
<<<<<<< HEAD
import connectDb from "./utils/connectDb.js"
import userRouter from "./routes/user.routes.js"
import authRouter from "./routes/auth.routes.js"
=======
import connectDb from './utils/connectDb.js'
import placeRouter from './routes/place.routes.js'
import reviewRouter from './routes/review.routes.js'
>>>>>>> origin/cherry

connectDb()

const app = express()

app.use('/images', express.static('uploads/'))

app.use(express.json())

<<<<<<< HEAD
app.use(userRouter)
app.use(authRouter)
=======
app.use(placeRouter)
app.use(reviewRouter)

app.get('/', (req, res) => {
    console.log("/ req.body", req.body)
    res.json({ message: "http://localhost3001/ 에 연결됨" })
})
>>>>>>> origin/cherry

app.listen(3001, () => {
    console.log('Listening on port 3001')
})